<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Pathfinding Algorithms: Kruskal Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Pathfinding Algorithms
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classKruskal-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">Kruskal Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for Kruskal:</div>
<div class="dyncontent">
<div class="center"><img src="classKruskal__inherit__graph.png" border="0" usemap="#aKruskal_inherit__map" alt="Inheritance graph"/></div>
<map name="aKruskal_inherit__map" id="aKruskal_inherit__map">
<area shape="rect" title=" " alt="" coords="5,80,76,107"/>
<area shape="rect" href="classMaze.html" title=" " alt="" coords="12,5,69,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for Kruskal:</div>
<div class="dyncontent">
<div class="center"><img src="classKruskal__coll__graph.png" border="0" usemap="#aKruskal_coll__map" alt="Collaboration graph"/></div>
<map name="aKruskal_coll__map" id="aKruskal_coll__map">
<area shape="rect" title=" " alt="" coords="5,80,76,107"/>
<area shape="rect" href="classMaze.html" title=" " alt="" coords="12,5,69,32"/>
</map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a5b550f5a088c1bed4184affb01c6a1e6"><td class="memItemLeft" align="right" valign="top"><a id="a5b550f5a088c1bed4184affb01c6a1e6"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Kruskal</b> (int n, int m)</td></tr>
<tr class="separator:a5b550f5a088c1bed4184affb01c6a1e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac10352ffd9e7d15dc9032863fc726997"><td class="memItemLeft" align="right" valign="top"><a id="ac10352ffd9e7d15dc9032863fc726997"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>generate</b> () override</td></tr>
<tr class="separator:ac10352ffd9e7d15dc9032863fc726997"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classMaze"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classMaze')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classMaze.html">Maze</a></td></tr>
<tr class="memitem:a55f685098e0b125093a8aa468895d40e inherit pub_methods_classMaze"><td class="memItemLeft" align="right" valign="top"><a id="a55f685098e0b125093a8aa468895d40e"></a>
VektorParova&#160;</td><td class="memItemRight" valign="bottom"><b>getObstacles</b> ()</td></tr>
<tr class="separator:a55f685098e0b125093a8aa468895d40e inherit pub_methods_classMaze"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6eb47c884e545475598f784707088f8b inherit pub_methods_classMaze"><td class="memItemLeft" align="right" valign="top"><a id="a6eb47c884e545475598f784707088f8b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>print</b> ()</td></tr>
<tr class="separator:a6eb47c884e545475598f784707088f8b inherit pub_methods_classMaze"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classMaze"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classMaze')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classMaze.html">Maze</a></td></tr>
<tr class="memitem:a4c3e0586393ec37bd3e03986b642a7fe inherit pro_methods_classMaze"><td class="memItemLeft" align="right" valign="top"><a id="a4c3e0586393ec37bd3e03986b642a7fe"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Maze</b> (int n, int m)</td></tr>
<tr class="separator:a4c3e0586393ec37bd3e03986b642a7fe inherit pro_methods_classMaze"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca31e36caf7af7a1d82503ead3813335 inherit pro_methods_classMaze"><td class="memItemLeft" align="right" valign="top"><a id="aca31e36caf7af7a1d82503ead3813335"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>generateKruskal</b> ()</td></tr>
<tr class="separator:aca31e36caf7af7a1d82503ead3813335 inherit pro_methods_classMaze"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classMaze"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classMaze')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classMaze.html">Maze</a></td></tr>
<tr class="memitem:accc3a234d61f10a9189ef13658284207 inherit pro_attribs_classMaze"><td class="memItemLeft" align="right" valign="top"><a id="accc3a234d61f10a9189ef13658284207"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>_n</b></td></tr>
<tr class="separator:accc3a234d61f10a9189ef13658284207 inherit pro_attribs_classMaze"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f515dad3db6ce384d018ce0234231fb inherit pro_attribs_classMaze"><td class="memItemLeft" align="right" valign="top"><a id="a5f515dad3db6ce384d018ce0234231fb"></a>
int&#160;</td><td class="memItemRight" valign="bottom"><b>_m</b></td></tr>
<tr class="separator:a5f515dad3db6ce384d018ce0234231fb inherit pro_attribs_classMaze"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad121aefec91285961c8620ce6287d45a inherit pro_attribs_classMaze"><td class="memItemLeft" align="right" valign="top"><a id="ad121aefec91285961c8620ce6287d45a"></a>
int **&#160;</td><td class="memItemRight" valign="bottom"><b>_maze</b></td></tr>
<tr class="separator:ad121aefec91285961c8620ce6287d45a inherit pro_attribs_classMaze"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>src/<a class="el" href="Kruskal_8h_source.html">Kruskal.h</a></li>
<li>src/Kruskal.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
